export default function factory(sessionID: any, env?: string): Tuna;
declare class Tuna extends Essentials {
    constructor(sessionID: any, env: any);
    isCheckoutPerforming: boolean;
    pieceManager(): () => any;
    useGooglePay(googlePayBtnContainerSelector: any, googlePaySettings: any, checkoutCallbackFunction: any, validationGroup: any): void;
    googlePayResolver: GooglePayResolver;
    onGooglePayButtonClicked(validationGroup: any): void;
    clearSavedCardSelector(): void;
    forgeDefaultForm(place: any, options: any): void;
    useQrCodePayment(place: any, options: any, paymentCallback: any, group?: string): void;
    useSavedCardSelector(place: any, options: any, group?: string): Promise<any>;
    checkoutAndPay(paymentMethodType: any, totalPaymentAmount: any, paymentMethodAmount: any, callbackFunction: any): Promise<any>;
    prepareCheckout(): Promise<{
        fullCardInfo: {
            tokenData: {
                brand: any;
                token: any;
            };
            cardData: any;
        };
        alreadyTokenized: boolean;
        cardData?: undefined;
    } | {
        cardData: {
            singleUse: any;
        };
        alreadyTokenized: boolean;
        fullCardInfo?: undefined;
    }>;
    checkout(callbackFunction: any): Promise<{
        success: boolean;
        tokenData: any;
        cardData: any;
        message?: undefined;
    } | {
        success: boolean;
        message: any;
        tokenData?: undefined;
        cardData?: undefined;
    }>;
    directCheckout(): Promise<{
        success: boolean;
        tokenData: any;
        cardData: any;
        message?: undefined;
    } | {
        success: boolean;
        message: any;
        tokenData?: undefined;
        cardData?: undefined;
    }>;
    getSavedCardData(screenFields: any): Promise<{
        tokenData: {
            brand: any;
            token: any;
        };
        cardData: any;
    }>;
    mountTokenizationObject(validationGroupArray?: any): {
        singleUse: any;
    };
    getBuyerDocumentFormatter(locale: any): BuyerDocumentFormatter;
}
import { Essentials } from "./essentials.js";
import GooglePayResolver from "./infra/googlePayResolver.js";
import { BuyerDocumentFormatter } from "./infra/buyerDocumentFormatter.js";
export {};
